#
# Skolelinux configuration file for the samba suite
#
# Please read the smb.conf(5) manual page
#
# NOTE: Whenever you modify this file you should run the command
# "testparm" to check that you have not many any basic syntactic
# errors.
#

# $Id$

#======================= Global Settings =======================

[global]

# Do something sensible when Samba crashes: mail the admin a backtrace
;   panic action = /usr/share/samba/panic-action %d

# server name
;   netbios name = tjener

# server string/NT Description field
   server string = %h server (Samba %v)

# disable IPv6 for Samba on Skolelinux systems
   interfaces = 127.0.0.1 10.0.0.0/8
   bind interfaces only = yes

# Use kerberos

   realm = INTERN
   security = ADS

# Workgroup/NT-domain name

   workgroup = skolelinux

# OpenLDAP configuration

;   passdb backend = ldapsam:ldaps://ldap
;   ldap suffix = dc=skole,dc=skolelinux,dc=no
;   ldap user suffix = ou=people
;   ldap machine suffix = ou=netdevices,ou=systems
;   ldap admin dn = "cn=smbadmin,ou=samba,dc=skole,dc=skolelinux,dc=no"

# PAM setup

   obey pam restrictions = yes

# Printer settings

   load printers = yes
   printing = cups
   printcap name = cups

# Network logon

   logon home = \\tjener\%U
   logon drive = h:
   logon script = login.bat

;   invalid users = root

# Logfiles

   log file = /var/log/samba/log.%m
   max log size = 1000
   syslog = 0

# Security options

   security = domain
   encrypt passwords = true
   password server = tjener

# Networking options

   socket options = TCP_NODELAY

# Browser Control Options

  local master = yes
  domain logons = no
  domain master = no
  preferred master = no

  os level = 20

# WINS Support

   wins server = tjener

# DNS proxy for NetBIOS

   dns proxy = no

# Add NT clients

;   add machine script = /etc/samba/smbaddclient.pl %u

# Disable changing of password using samba
  unix password sync = yes
  passwd program = /bin/false

#======================= Share Definitions =======================

